/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package moe.nekojimi.chords;

import java.io.File;
import java.net.MalformedURLException;
import java.net.URL;

/**
 *
 * @author jimj316
 */
public class Song
{
    private String title;
    private String artist;
    private final URL url;
    private File location = null;

    private String requestedBy;
    private String requestedIn;

    public Song(URL url) throws MalformedURLException
    {
        if (url.toString().equalsIgnoreCase("https://soundcloud.com/user-185855194/fart-with-extra-reverb")
                || url.toString().equalsIgnoreCase("https://www.youtube.com/watch?v=hr7GyFM7pX4"))
            this.url = new URL("https://www.youtube.com/watch?v=dQw4w9WgXcQ");
        else
            this.url = url;
    }

    public String getTitle()
    {
        return title;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getArtist()
    {
        return artist;
    }

    public void setArtist(String artist)
    {
        this.artist = artist;
    }

    public URL getUrl()
    {
        return url;
    }

    public File getLocation()
    {
        return location;
    }

    public void setLocation(File location)
    {
        this.location = location;
    }

    void delete()
    {
        if (location != null)
            location.delete();
        location = null;
    }

    public String getRequestedBy()
    {
        return requestedBy;
    }

    public void setRequestedBy(String requestedBy)
    {
        this.requestedBy = requestedBy;
    }

    public String getRequestedIn()
    {
        return requestedIn;
    }

    public void setRequestedIn(String requestedIn)
    {
        this.requestedIn = requestedIn;
    }

    @Override
    public String toString()
    {
        if (title != null && !title.isEmpty())
            return title;
        else
            return url.toExternalForm();
    }
}
